### Method

# Gtk StyleContext has_class

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_style_context_has_class (
      GtkStyleContext* context,
      const char* class_name
    )

#### Description [src]

Returns `TRUE` if `context` currently has defined the given class name.

Deprecated since: 4.10

Use `gtk_widget_has_css_class()` instead.

#### Parameters

`class_name`

  Type: `const char*`

  A class name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `context` has `class_name` defined.